<?php
use app\core\App;
?>
<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="description" content="<?php echo $this->description?>">
    <meta name="keywords" content="<?php echo implode( ", ", $this->keywords );?>">
    <meta name="author" content="<?php echo $this->author?>">
    <title><?php echo $this->title?></title>
    <link rel="stylesheet" href="<?php PUBDIR?>/css/app.css">
</head>

<body>
<?php
include_once 'navigator.php'
?>
<div class="container mx-auto px-4 sm:px-6 lg:px-8">
    <?php if (App::$app->flashMessage->getFlash('success')): ?>
        <script>
            setTimeout(()=>{
                var x = document.getElementById("snackbar");
                x.classList.remove('hidden');
                setTimeout(function(){
                    x.classList.add('hidden');
                }, 5000);
            })
        </script>
        <div class="w-full flex justify-center z-[99999]">
            <div id="snackbar" class="rounded-md bg-green-50 p-4 absolute bottom-5 hidden min-w-[344px]">
                <div class="flex">
                    <div class="flex-shrink-0">
                        <!-- Heroicon name: solid/check-circle -->
                        <svg class="h-5 w-5 text-green-400" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                            <path fill-rule="evenodd" d="M10 18a8 8 0 100-16 8 8 0 000 16zm3.707-9.293a1 1 0 00-1.414-1.414L9 10.586 7.707 9.293a1 1 0 00-1.414 1.414l2 2a1 1 0 001.414 0l4-4z" clip-rule="evenodd" />
                        </svg>
                    </div>
                    <div class="ml-3">
                        <p class="text-sm font-medium text-green-800"><?php echo App::$app->flashMessage->getFlash('success') ?></p>
                    </div>
                    <div class="ml-auto pl-3">
                        <div class="-mx-1.5 -my-1.5">
                            <button type="button" class="inline-flex bg-green-50 rounded-md p-1.5 text-green-500 hover:bg-green-100 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-offset-green-50 focus:ring-green-600">
                                <span class="sr-only">Dismiss</span>
                                <!-- Heroicon name: solid/x -->
                                <svg class="h-5 w-5" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20" fill="currentColor" aria-hidden="true">
                                    <path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd" />
                                </svg>
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php endif; ?>
    <!--content-->
</div>
</body>
</html>